Bug 239015 - [NEW PORT] sysutils/alfio: services manager to choose which service start at boot time
Summary: [NEW PORT] sysutils/alfio: services manager to choose which service start at ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-06 10:44 UTC by Lorenzo Salvadore
Modified: 2019-11-09 10:18 UTC (History)
1 user (show)

See Also:


Attachments
alfio-0.2 - new port (2.89 KB, patch)
2019-07-06 10:44 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff
alfio-0.2 (2.89 KB, patch)
2019-09-14 14:37 UTC, Lorenzo Salvadore
salvadore: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore freebsd_committer 2019-07-06 10:44:29 UTC
Created attachment 205540 [details]
alfio-0.2 - new port

Alfio is a service that lets you choose which services start at boot
time by using profiles.

For example, if you have a laptop, you might be interested in creating
a profile for when you have access to an internet connection and one
for when you don't. You also might need less services when you boot
your laptop on battery, then decide to save power.
In some situation you might like to connect through DHCP while in
others you need a static IP.
Or you might want to test on your machine how different services
interact with each other without messing with your safe
configuration.
Comment 1 Lorenzo Salvadore freebsd_committer 2019-09-14 14:37:23 UTC
Created attachment 207490 [details]
alfio-0.2

I change my e-mail address in the MAINTAINER field.
Comment 2 Tobias C. Berner freebsd_committer 2019-11-09 10:18:45 UTC
Committed. Thanks.
Comment 3 commit-hook freebsd_committer 2019-11-09 10:18:54 UTC
A commit references this bug:

Author: tcberner
Date: Sat Nov  9 10:18:35 UTC 2019
New revision: 517119
URL: https://svnweb.freebsd.org/changeset/ports/517119

Log:
  New port --  sysutils/alfio: services manager to choose which service start at boot time

  Alfio is a service that lets you choose which services start at boot
  time by using profiles.

  For example, if you have a laptop, you might be interested in creating
  a profile for when you have access to an internet connection and one
  for when you don't. You also might need less services when you boot
  your laptop on battery, then decide to save power.
  In some situation you might like to connect through DHCP while in
  others you need a static IP.
  Or you might want to test on your machine how different services
  interact with each other without messing with your safe
  configuration.

  Read the man page (man alfio) to learn how to use it.

  WWW: https://sourceforge.net/projects/alfio

  PR:		239015
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>

Changes:
  head/sysutils/Makefile
  head/sysutils/alfio/
  head/sysutils/alfio/Makefile
  head/sysutils/alfio/distinfo
  head/sysutils/alfio/pkg-descr